package id.iptek.utms.agent.model.enumeration;

/**
 *
 * @author jakar
 */
public enum InstallationTimeType {
 
    IMMEDIATE_AFTER_DOWNLOAD(1),
    DATE_TIME(2);
    
    private final int value;

    private InstallationTimeType(int value) {
        this.value = value;
    }
    
    public int getValue() {
        return value;
    }
    
    public static InstallationTimeType fromValue(int value) {
        InstallationTimeType val = null;
        for(InstallationTimeType _val : InstallationTimeType.values()) {
            if(_val.getValue() == value) {
                val = _val;
                break;
            }
        }
        return val;
    }
}
